Ask Your Question
2

`dnf` mark package as dependency

asked 2018-07-23 21:43:00 -0500

abitrolly gravatar image

I need to install optional python3-qt5-webkit dependency for enki from F28, and I want to make sure that after I remove the editor, the dependency goes away. dnf mark allows to unmark the package that was installed by user, but I don't see how dnf can make the package (python3-qt5-webkit) a dependency of another package (enki).

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
2

answered 2018-07-24 01:57:59 -0500

villykruse gravatar image

updated 2018-07-24 05:25:43 -0500

It seems that dnf can't do this.

The mark information can be found in /var/lib/dnf/yumdb in files called reason.

find /var/lib/dnf/yumdb -name reason |grep python3-qt5-webkit should give the name of the file. It contains either user, dep, or weak. If you run dnf mark install the text will change to user1, and if you rundnf mark removethe text will change todep. An option to change the text toweak` seems to be missing.

The weak text is marked for packages that was installed as a non-required dependency of another package.

PS: All this will change in fc29.

edit flag offensive delete link more

Comments

Any ideas how to set the status manually? I can change it to weak or dep, but how does it know for which package?

abitrolly gravatar imageabitrolly ( 2018-07-24 09:34:28 -0500 )edit

In this case python3-qt5-webkit which was installed as a weak dependency.

villykruse gravatar imagevillykruse ( 2018-07-24 11:28:54 -0500 )edit
1

answered 2018-08-11 13:33:19 -0500

abitrolly gravatar image

I filled feature request for this functionality - https://bugzilla.redhat.com/show_bug....

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-07-23 21:43:00 -0500

Seen: 69 times

Last updated: Aug 11